package com.keyware.composeanalysis.constant;

/**
 * @author liuzongren
 * @date 2024/7/31
 * @description redis key 常量池
 */
public interface RedisConst {

    /**
     * 分析任务，全局分布式锁前缀
     */
    String TASK_LOCK_KEY_PREFIX = "ANALYSIS_TASK_LOCK_ID_%s";


    /**
     * 分析任务，运行状态前缀
     */
    String TASK_RUNNING_STATUS_KEY_PREFIX = "ANALYSIS_TASK_RUNNING_STATUS_%s";
}
