package com.keyware.composeanalysis.solr;

import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * @author liuzongren
 * @date 2024/9/23
 * @description solr库中 函数结构体对象
 */
@Data
@Accessors(chain = true)
public class FunctionInfo {
    //函数名称
    private String funName;
    //特征函数MD5
    private String traitFunMd5;
    //函数字符长度
    private BigDecimal funSize;
    //函数有效代码行数
    private int codeRowNum;
    //原函数MD5
    private String cutFunMd5;
}
