package com.keyware.composeanalysis.constant;


/**
 * @Author liuzongren
 * @Description mongoDB 数据库 常量
 * @Date 2024/7/23
 * @Param
 * @return
 **/
public interface MongoDBConst {


    /**
     * mongodb KEYSWAN 数据库名称
     */
    String DB_NAME_KEYSWAN = "KEYSWAN";



    /**
     * mongodb 每个任务数据库前缀
     */
    String DB_NAME_PREFIX = "keyswan_task_";


    /**
     * mongodb 的 VERSIONBASEDATA 数据表  存储开源项目的MD5等信息
     */
    String TABLE_NAME_VERSIONBASEDATA = "VERSIONBASEDATA";

    //非32种语言的文件库
    String  TABLE_NAME_SOURCE_FILE_BASE = "Other_SourceFileBase";

    //版本树库
    String VERSION_TREE = "versionTree";

    /**
     * file_data 库  用于存储文件分析的相关信息
     */
    String TABLE_NAME_FILE_DATA = "file_data";

    /**
     * match_open_file 库  用于存储 匹配到的开源项目的信息
     */
    String TABLE_NAME_MATCH_OPEN_FILE = "match_open_file";

    //mongodb    line_data数据库
    String DB_TABLE_NAME_LINE_DATA = "line_data";


    // file_data 库  isAnalyze 分析状态字段
    String ANALYSIS_STATUS = "isAnalyze";


    // file_data 库  isParent  是否是目录  标识
    String IS_DIR = "isParent";


    // file_data 库  assFlag   组件分析是否完成  标识
    String ASS_FLAG = "assFlag";

    // file_data 库  isSelect  0:完成文件解压,未进行任何提取   1：进入文件级特征提取  2：进入行级特征提取  3：进入成分分析特征提取
    //match_open_file  isSelect  0 初始状态  1 代表已经查询过
    //line_hay                0:进入行级特征提取
    String IS_SELECT = "isSelect";


}
